about summary refs log tree commit diff homepage
path: root/.travis/stp.sh
diff options
context:
space:
mode:
authorAndrea Mattavelli <andreamattavelli@users.noreply.github.com>2017-03-31 12:25:32 +0100
committerGitHub <noreply@github.com>2017-03-31 12:25:32 +0100
commit2a2e972e8d287e61ad40b1cc14165b5eff482fc4 (patch)
treeb1e5bf959762fdac829426f542e72555aa038567 /.travis/stp.sh
parentc08cb14c6767bfab9d56772771e3538b46b8bd4a (diff)
parent31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e (diff)
downloadklee-2a2e972e8d287e61ad40b1cc14165b5eff482fc4.tar.gz
Merge pull request #637 from delcypher/docker_fix
[Docker] Unbreak build.
Diffstat (limited to '.travis/stp.sh')
-rwxr-xr-x.travis/stp.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis/stp.sh b/.travis/stp.sh
index 412f7613..0112ae31 100755
--- a/.travis/stp.sh
+++ b/.travis/stp.sh
@@ -21,10 +21,13 @@ if [ "x${STP_VERSION}" != "x" ]; then
     CFLAGS="${SANITIZER_C_FLAGS}" \
     CXXFLAGS="${SANITIZER_CXX_FLAGS}" \
     cmake -DCMAKE_INSTALL_PREFIX=/usr ..
-  else # OSX
+  elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
     CFLAGS="${SANITIZER_C_FLAGS}" \
     CXXFLAGS="${SANITIZER_CXX_FLAGS}" \
     cmake -DCMAKE_INSTALL_PREFIX=/usr/local ..
+  else
+    echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+    exit 1
   fi
   make
   sudo make install